Description

There are a number of problems in the system when data is loaded containing non
asci characters eg. €,0,06

1) The database throws errors when queried using a string containing one these
characters.

2) XML is transformations fail on XML containing these values.

This is going to take some investigation to overcome. | hate these kind of
problems.

History

#1 - 01/15/2003 12:11 PM - Robert Peet

Shouldn't there be a simple setup option for character set. | used to use
simple ASCII on my pine email and had all these problems, so switched to the
ISO-8859-1 character set and it all works fine.

#2 - 01/15/2003 03:49 PM - Gabriel Farrell
The database doesn't have a problem with the characters ... it has a problem
when data contains single or double quotes as part of a string.

This should be fixable by filtering out these before writing to the database and
reconsituting them when reading from the database.

#3 - 01/31/2003 04:58 PM - Gabriel Farrell
No longer blocks bug956 since the single quotes and other postgres special
characters $ and * and escaped before going into the database.

Leaving the bug open as | need to impliment the removal of the escape character
upon read the data from the database (hoped this would happen automatically) and
the xml problem with special characters remains.

#4 - 07/08/2004 03:27 PM - Michael Lee

characters seem to be handled well now, with UNICODE db. Leaving this open, as
I'm not sure if this is handled across the board for dealing with SQL that has '
init.

#5 - 11/08/2004 07:49 PM - Michael Lee
UTF-8 Unicode takes care of this

#6 - 01/31/2005 02:53 PM - Michael Lee

changed from components that are to be deleted to "misc" so that bugs don't get
deleted with component. Sorry for all the email.

#7 - 03/27/2013 02:15 PM - Redmine Admin
Original Bugzilla ID was 949
